﻿
using System.Windows;
using System.Windows.Data;
using System;
using System.Windows.Media;


namespace Sample
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			calendar.TimetableSettings.Dates.Add(DateTime.Today.AddDays(1));
			calendar.TimetableSettings.HeaderStyle.HorizontalAlignment = System.Windows.HorizontalAlignment.Stretch;
			calendar.TimetableSettings.HeaderStyle.VerticalAlignment = System.Windows.VerticalAlignment.Stretch;
		}
	}

	public class DateConverter : IValueConverter
	{
		public object Convert(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (value is DateTime)
			{
				var date = (DateTime)value;
				if (date.Date == DateTime.Today)
					return Brushes.Orange;
			}

			return Brushes.Transparent;
		}

		public object ConvertBack(object value, System.Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotSupportedException();
		}
	}
}
